Package com.avaya.clientservices.client

## Enum ClientConfiguration.ProxyMode

- java.lang.Object
- - java.lang.Enum<ClientConfiguration.ProxyMode>
  - - com.avaya.clientservices.client.ClientConfiguration.ProxyMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ClientConfiguration.ProxyMode>`
  Enclosing class:
    ClientConfiguration

      public static enum ClientConfiguration.ProxyMode
      extends java.lang.Enum<ClientConfiguration.ProxyMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NO_PROXY` |
    `USE_OPERATING_SYSTEM_SETTINGS` |
    `USE_OPERATING_SYSTEM_SETTINGS_WITH_STUN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClientConfiguration.ProxyMode` | `convert​(java.lang.String name)` |
    `java.lang.String` | `getValue()` |
    `static ClientConfiguration.ProxyMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ClientConfiguration.ProxyMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_PROXY

          public static final ClientConfiguration.ProxyMode NO_PROXY

    - #### USE_OPERATING_SYSTEM_SETTINGS

          public static final ClientConfiguration.ProxyMode USE_OPERATING_SYSTEM_SETTINGS

    - #### USE_OPERATING_SYSTEM_SETTINGS_WITH_STUN

          public static final ClientConfiguration.ProxyMode USE_OPERATING_SYSTEM_SETTINGS_WITH_STUN

  - ### Method Detail

    - #### values

          public static ClientConfiguration.ProxyMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientConfiguration.ProxyMode c : ClientConfiguration.ProxyMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientConfiguration.ProxyMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### convert

          public static ClientConfiguration.ProxyMode convert​(java.lang.String name)